sketch 0.0.3 → 0.0.4

This diff has not been reviewed by any users.
Sign up to get free protection for your applications and to get access to all the features.
Files changed (4) hide show
  1. data/lib/sketch.rb +5 -2
  2. data/lib/sketch/text.rb +14 -0
  3. data/sketch.version +1 -1
  4. metadata +11 -10
@@ -43,10 +43,13 @@ require 'sketch/element'
43
43
  require 'sketch/canvas'
44
44
 
45
45
  require 'sketch/circle'
46
- require 'sketch/polygon'
47
46
  require 'sketch/ellipse'
47
+ require 'sketch/line'
48
+ require 'sketch/path'
49
+ require 'sketch/polygon'
48
50
  require 'sketch/rect'
49
51
  require 'sketch/rectangle'
50
- require 'sketch/path'
51
52
  require 'sketch/star'
53
+ require 'sketch/text'
54
+ require 'sketch/triangle'
52
55
 
@@ -0,0 +1,14 @@
1
+ class Sketch::Text < Sketch::Element
2
+ has_value :x
3
+ has_value :y
4
+ has_value :color
5
+
6
+ has_value :dx
7
+ has_value :dy
8
+ has_value :rotate
9
+ has_value :text_length
10
+ has_value :fill_stroke
11
+ has_value :font_specification
12
+ has_value :text_content_elements
13
+
14
+ end
@@ -1 +1 @@
1
- 0.0.3
1
+ 0.0.4
metadata CHANGED
@@ -1,13 +1,13 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: sketch
3
3
  version: !ruby/object:Gem::Version
4
- hash: 25
4
+ hash: 23
5
5
  prerelease:
6
6
  segments:
7
7
  - 0
8
8
  - 0
9
- - 3
10
- version: 0.0.3
9
+ - 4
10
+ version: 0.0.4
11
11
  platform: ruby
12
12
  authors:
13
13
  - Johnathon Wright
@@ -15,11 +15,12 @@ autorequire:
15
15
  bindir: bin
16
16
  cert_chain: []
17
17
 
18
- date: 2011-11-11 00:00:00 -06:00
18
+ date: 2012-03-06 00:00:00 -06:00
19
19
  default_executable:
20
20
  dependencies:
21
21
  - !ruby/object:Gem::Dependency
22
- type: :runtime
22
+ name: valuable
23
+ prerelease: false
23
24
  requirement: &id001 !ruby/object:Gem::Requirement
24
25
  none: false
25
26
  requirements:
@@ -30,11 +31,11 @@ dependencies:
30
31
  - 0
31
32
  - 8
32
33
  version: "0.8"
33
- name: valuable
34
+ type: :runtime
34
35
  version_requirements: *id001
35
- prerelease: false
36
36
  - !ruby/object:Gem::Dependency
37
- type: :runtime
37
+ name: nokogiri
38
+ prerelease: false
38
39
  requirement: &id002 !ruby/object:Gem::Requirement
39
40
  none: false
40
41
  requirements:
@@ -45,9 +46,8 @@ dependencies:
45
46
  - 1
46
47
  - 4
47
48
  version: "1.4"
48
- name: nokogiri
49
+ type: :runtime
49
50
  version_requirements: *id002
50
- prerelease: false
51
51
  description: build SVG images
52
52
  email: jw@mustmodify.com
53
53
  executables: []
@@ -76,6 +76,7 @@ files:
76
76
  - lib/sketch/rect.rb
77
77
  - lib/sketch/rectangle.rb
78
78
  - lib/sketch/star.rb
79
+ - lib/sketch/text.rb
79
80
  - lib/sketch/triangle.rb
80
81
  - sketch.gemspec
81
82
  - sketch.version